import { render, screen } from '@testing-library/react'
import userEvent from '@testing-library/user-event'
import React from 'react'
import EcogestureSelectionModal from './EcogestureSelectionModal'

const mockHandleClose = jest.fn()
describe('EcogestureInitModal component', () => {
  it('should be rendered correctly', () => {
    const { baseElement } = render(
      <EcogestureSelectionModal
        open={true}
        handleCloseClick={mockHandleClose}
      />
    )
    expect(baseElement).toMatchSnapshot()
  })

  it('should close modal and update profile', async () => {
    render(
      <EcogestureSelectionModal
        open={true}
        handleCloseClick={mockHandleClose}
      />
    )
    await userEvent.click(screen.getAllByRole('button')[0])
    expect(mockHandleClose).toHaveBeenCalledTimes(1)
  })
})
